<div class="modal-header">
    <h5 class="modal-title">Add new Event</h5>
    <button type="button" class="close" (click)="close()">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <form #formEvent="ngForm" novalidate>
        <div class="row">
            <div class="col-6 form-group">
                <input placeholder="Reminder" #title name="title" type="text" class="form-control" [(ngModel)]="newEvent.title"
                    autocomplete="off" maxlength="30" required />
            </div>
            <div class="col-6 form-group">
                <input type="color" class="form-control" #color name="color" placeholder="Color"
                    [(ngModel)]="newEvent.color.primary" required />
            </div>
        </div>
        <br />
        <div class="row">
            <div class="col-6 form-group">
                <input class="form-control" #dateSchedule name="dateSchedule" type="text" mwlFlatpickr [(ngModel)]="newEvent.start"
                    [altInput]="true" [convertModelValue]="true" [enableTime]="true" dateFormat="Y-m-dTH:i"
                    altFormat="F j, Y H:i" placeholder="Not set" required />
            </div>
            <div class="col-6 form-group">
                <select [(ngModel)]="newEvent.city" #city name="city" class="form-control" required>
                    <option [ngValue]="undefined">Select city</option>
                    <option [ngValue]="'Quito'">Quito</option>
                    <option [ngValue]="'Guayaquil'">Guayaquil</option>
                    <option [ngValue]="'Cuenca'">Cuenca</option>
                </select>
            </div>
        </div>
    </form>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-success" [disabled]="!formEvent.form.valid" (click)="addEvent()">
        Add new Event
    </button>
</div>